<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Models\Loaders\GigsLoader;

class GigsController extends Controller
{
    public function __construct(
        private GigsLoader $loader,
    ) {
        $this->addCssFile('gigs.css');
    }

    public function index()
    {
        $events = $this->loader->getEvents();

        return $this->render('gigs')
            ->with(compact('events'));
    }
}
